Name: kudzu
Version: 1.1.13
Release: alt6

Summary: The Linux hardware probing tool
License: GPL
Group: System/Configuration/Hardware
Packager: Anton Farygin <rider@altlinux.ru>
Source: %name-%version.tar.gz
Source1: %name.init

Patch0: %name-1.1.3-altconf.patch
Patch1: %name-0.68-ddcdev.patch
Patch2: %name-0.99.10-Makefile.patch
Patch3: %name-0.99.47-usb.patch
Patch4: %name-0.99.52-serial.patch
Patch5: %name-0.99.45-python-depended.patch
Patch6: %name-1.1.13-alt-updfstab.patch
Patch7: %name-1.1.13-hcfpciserial-alt.patch 
Patch8:	%name-1.1.13-ltmodem-alt.patch
Patch9: %name-1.1.13-russian-po-fixes-alt.patch
Patch10: %name-1.1.13-intel-537-softmodem.patch

Requires: ldetect-lst
PreReq: chkconfig, modutils >= 2.3.11

# Automatically added by buildreq on Tue Mar 11 2003
BuildRequires: dietlibc libnewt-devel libpopt-devel libslang pciutils-devel-static > 2.1.11-alt2 python-devel

%package devel
Summary: The development library for hardware probing
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: The development static library for hardware probing
Group: Development/C
Requires: %name-devel = %version-%release

%description
Kudzu is a hardware probing tool run at system boot time to determine
what hardware has been added or removed from the system.

%description devel
The %name-devel package contains the include files, which are
used for hardware probing and configuration.

%description devel-static
The %name-devel package contains the static lib%name and libmodules
libraries, which are libraries used for hardware probing and
configuration.

%prep
%setup -q
%patch0 -p1 -b .altconf
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p0
%patch10 -p1

find -type f |xargs fgrep -l python1.5 |
	xargs perl -pi -e 's/python1.5/python%__python_version/g'

%build

make all %name ktest
make -C ddcprobe

%install
%makeinstall install-program
%make_install install -C ddcprobe DESTDIR=$RPM_BUILD_ROOT
install -m 755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/kudzu

rm -rf %buildroot%_libdir/python*

%find_lang %name

%post
%post_service %name

%preun
%preun_service %name

%files -f %name.lang
%_sbindir/*
%_mandir/man?/*
%_initdir/%name
%config(noreplace) %_sysconfdir/sysconfig/%name
%config(noreplace) %_sysconfdir/updfstab.conf*
%doc README

%files devel
%_includedir/*

%files devel-static
%_libdir/*.a

%changelog
* Thu Jan 22 2004 Albert R. Valiev <darkstar@altlinux.ru> 1.1.13-alt6
- changed configuration for intel 537 ICH4 soft modems,
  driver changed from "537" to "slamr"
* Wed Dec 10 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.1.13-alt5
- added configuration for intel 537 soft modems

* Thu Oct 16 2003 Anton Farygin <rider@altlinux.ru> 1.1.13-alt4
- updated updfstab patch for support ieee1394 storage devices
- renamed mount point to /mnt/storage for external storage devices (USB and IEEE1394) 

* Wed Oct 15 2003 Rider <rider@altlinux.ru> 1.1.13-alt3
- fixed i18n support in initscript (bug #3124)

* Fri Sep 12 2003 Rider <rider@altlinux.ru> 1.1.13-alt2
- fixed bug #2886: incorrct requires to pciutils-devel-static
- fixed bug #2934: don't appled patch7
- added patch for support Lucent Winmodem(thanks to Andrey Rahmatullin)

* Thu Jul 31 2003 Rider <rider@altlinux.ru> 1.1.13-alt1
- 1.1.13
- support for Hcf based winmodems

* Thu Jul 10 2003 Kachalov Anton <mouse@altlinux.ru> 1.1.9-alt2
- fix for /etc/updfstab.conf.default (usb-storage)

* Wed Jul 09 2003 Kachalov Anton <mouse@altlinux.ru> 1.1.9-alt1
- fixes for updfstab for more usability
- added configuration for PCTEL modems

* Tue Jun 17 2003 Kachalov Anton <mouse@altlinux.ru> 1.1.3-alt2
- added class COMMUNICATION_MODEM

* Wed Apr 30 2003 Rider <rider@altlinux.ru> 1.1.3-alt1
- new version (sync with RH)

* Tue Mar 11 2003 Rider <rider@altlinux.ru> 0.99.97-alt1.1
- new version
- removed python modules from kudzu package
- removed Progress Patch support
- don't configure USB keyboards

* Sat Feb 08 2003 Kachalov Anton <mouse@altlinux.ru> 0.99.52-alt4
- Added support for slmodem configuration

* Tue Oct 08 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.99.52-alt3
- Added support for config tool for hsfserial soft modems

* Tue Jun 11 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.99.52-alt2
- Fixed snd-mixer-oss requirement in kudzu

* Mon May 20 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.99.52-alt1
- 0.99.52
- Fixed /var/lock/serial bug
- Fixed handling nm256_audio Neomagic driver

* Wed Mar 06 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.99.47-alt2
- Don't detect USB devices if /etc/sysconfig/usb->USB!=yes

* Thu Feb 28 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.99.47-alt1
- 0.99.47

* Mon Jan 28 2002 Stanislav Ievlev <inger@altlinux.ru> 0.99.45-alt2
- added Requires for PYTHON

* Mon Jan 28 2002 Stanislav Ievlev <inger@altlinux.ru> 0.99.45-alt1
- 0.99.45

* Tue Jan 15 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.99.43-alt2
- Fixed XFdrake run path

* Mon Jan 14 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.99.43-alt1
- 0.99.43
- Fixed requires to sndconfig

* Wed Jan 09 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.99.42-alt1
- 0.99.42
- Added LPP patch
- Fixed draknet bug - all draks need 2>/dev/null :-((( SUCKS

* Fri Nov 16 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.99.23-alt1
- 0.99.23
- Removed draknet patch
- Updated russian translation

* Mon Aug 06 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.99.10-alt2
- Corrected package requires.
- Fixed %_datadir/%name.
- Fixed %%post/%%preun scripts.

* Thu Aug 02 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.99.10-alt1
- New kudzu release
- Added devel-static package
- Removed pcitable from filelist
- Fixed Makefiles
- Updated russian translation

* Wed Jun 27 2001 Stanislav Ievlev <inger@altlinux.ru> 0.99-alt3
- Rebuilt with python-2.1

* Mon May 28 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.99-alt2
- Fixed draknet bug

* Thu May 10 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.99-alt1
- Update to version 0.99

* Mon Mar 19 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.97.4-ipl2mdk
- Fix init script to don't start when harddrake started
- Added sndconfig to Requires

* Fri Mar 16 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.97.4-ipl1mdk
- Update to latest kudzu version
- Fixed bugs with 2.4 kernels

* Mon Feb 19 2001 Dmitry V. Levin <ldv@fandra.org> 0.92.1-ipl1mdk
- 0.92.1
- Use hardware database from package ldetect-lst.

* Sun Dec 10 2000 Dmitry V. Levin <ldv@fandra.org> 0.81-ipl4mdk
- RE adaptions.
- Fixed building with python version != 1.5.
- Automatically added BuildRequires.

* Mon Dec  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.81-4mdk
- 0.81.
- Change BuildRequires: to the new libRequires name.
- Excludearch: ppc.

* Sun Nov 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.79-3mdk
- Get compile with python2.

* Sat Nov 11 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.79-2mdk
- include everything in the python directory.

* Sat Nov 11 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.79-1mdk
- fix compile when kudzu-devel is not installed (or not recent).
- 0.79.

* Thu Sep 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.68-4mdk
- With Aurora use -q.

* Sun Aug 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.68-3mdk
- Mandrake use usb-interface not usb-controller.

* Sat Aug 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.68-2mdk
- Set config file as noreplace.
- Make rpmlint happyt add (fake) status/reload target to initscript.
- Fix init.d dir (define to the current rpm definition).

* Fri Aug 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.68-1mdk
- spec cleanup.
- 0.68.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.44-3mdk
- automatically added BuildRequires

* Sun Jul 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.44-2mdk
- rebuild for teh BM
- macrosifications

* Sat Jun 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.44-1mdk
- Using /etc/modules.conf as default and if not use /etc/conf.modules.
- 0.44.
- upgrade pcitable from drakx.

* Tue May  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.36-3mdk
- Upgrade pcitable from drakx.

* Thu Apr 20 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.36-2mdk
- Corrected BuildRoot

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.36-1mdk
- BuildRequires: newt-devel
- Merge with drakx pcitable.
- Adjust groups.
- 0.36.

* Mon Jan 10 2000 Pixel <pixel@mandrakesoft.com>
- update with pcitable from DrakX

* Thu Jan  6 2000 Pixel <pixel@mandrakesoft.com>
- update with pcitable from DrakX

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- sb-live support (axalon).

* Wed Dec 29 1999 Pixel <pixel@mandrakesoft.com>
- new pcitable

* Thu Dec 23 1999 Frederic Lepied <flepied@kenobi.mandrakesoft.com> 0.23-7mdk

- fix call to mousedrake, printdrake and keyboarddrake.

* Fri Dec 17 1999 Frederic Lepied <flepied@mandrakesoft.com> 0.23-6mdk

- fix XFdrake launch

* Thu Dec  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Use our tools (drakxtools, lothar).
- Use our standar colors
- Don't ask unnecessary questions.
- Big mandrake adaptations.

* Tue Nov 02 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Don't probe device if not here(r).

* Fri Oct 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.23.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.22.

* Fri Oct 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adatations.

* Thu Sep  9 1999 Bill Nottingham <notting@redhat.com>
- sanitize, homogenize, sterilize...

* Wed Sep  8 1999 Bill Nottingham <notting@redhat.com>
- get geometry for ide drives
- enumerate buses (jj@ultra.linux.cz)
